通过id获取中台订单详情
GET /app/order/cloud/get只能查询当前应用绑定供应商的订单,参数通过 query 传递。
| 字段 | 名称 | 类型 | 是否必须 |
| id | 订单id | int | 是 |
金额单位都是分
| 字段 | 名称 | 类型 | 是否必须 |
| id | 订单id | ||
| created_at | 下单时间 | ||
| order_sn | 订单编号 | ||
| title | 标题 | ||
| status | 订单状态 | 0待支付 1待发货 2待收货 3已完成,-1已关闭 5退换货 6已退款 | |
| status_name | 状态中文名称 | ||
| amount | 订单总金额(分) | ||
| item_amount | 商品市场价(分) | ||
| cost_amount | 成本金额(分) | ||
| freight | 运费(分) | ||
| goods_count | 商品总数 | ||
| remark | 买家留言 | ||
| note | 商家备注 | ||
| technical_services_fee | 技术服务费(分) | ||
| paid_at | 支付时间 | ||
| sent_at | 发货时间 | ||
| received_at | 收货时间 | ||
| closed_at | 关闭时间 | ||
| user_id | 用户id | ||
| pay_type_id | 订单支付方式 支付方式看pay_type字段即可会返回名称 | ||
| pay_type | 支付方式 文字版 | ||
| shipping_method_id | 配送方式id | ||
| shipping_method | 配送方式名称 | ||
| amount_detail | 订单价格汇总 | array | |
| order_items | 子订单详情 | ||
| order_express | 物流内容 物流详情需要请求物流详情API | array | |
| user | 用户内容 名称 id | array | |
| shipping_address | 收货地址 | array |
amount_detail:
| 字段 | 名称 | 类型 | 是否必须 |
| title | 名称:订单总价 | ||
| amount | 价格 | ||
| qty | 数量 | ||
| amount_items | 费用详情 | amount_items |
amount_items
| 字段 | 名称 | 类型 | 是否必须 |
| title | 名称:订单总价 | ||
| amount | 价格 | ||
| qty | 数量 | ||
| amount_items | 费用详情 | amount_items |
shipping_address
| 字段 | 名称 | 类型 | 是否必须 |
| realname | 真实姓名 | ||
| mobile | 联系方式 | ||
| province | 省 | ||
| city | 市 | ||
| county | 区 | ||
| town | 街道 | ||
| detail | 详情 |
order_item
| 字段 | 名称 | 类型 | 是否必须 |
| id | 子订单ID | int | |
|
title |
string | 商品名称 | |
| sku_title | string | 商品sku名称 | |
| price | string | 售价 | |
| cost_amount | int | 成本 | |
| supply_amount | int | 供货金额 | |
| payment_amount | int | 均摊支付金额(分 | |
| amount | int | 总价 | |
| qty | int | 商品个数 | |
| freight | int | 运费 | |
| image_url | int | 商品图片 | |
| supplier | array | 门店数据 只有名称和logo | |
| gather_supply | array | 供应链数据 只有名称和logo | |
| options | array | 商品规格已选 | |
| user | array | 用户数据id和与会员等级 | |
| product_id | array | 商品id | |
| sku_id | array | 商品规格id | |
| amount_detail | array | 金额信息 |
{ "code": 0, "data": { "read": { "id": 359, "created_at": 1634116762, "updated_at": 1634116764, "order_sn": 179752844179, "status": 1, "status_name": "待发货", "title": "测试0918", "freight": 100, "amount": 10079, "item_amount": 9504, "technical_services_fee": 475, "remark": "", "note": "", "goods_count": 1, "user_id": 35, "shipping_address_id": 296, "shipping_method": "快递", "shipping_method_id": 1, "comment_status": 0, "order_items": [ { "id": 439, "order_id": 359, "title": "奖品专享--不限食压片糖果科学减脂无需节食--八月初发货介意者勿拍 !", "sku_title": "默认", "unit": "", "qty": 1, "amount": 9504, "price": 9504, "image_url": "https://fjfff-1301507422.cos.ap-guangzhou.myqcloud.com/images/5/2020/07/CMNpnmluMBum44LbeEtmEPuzpN33al.png", "product_id": 1028336, "supply_amount": 0, "sku_id": 18685, "order_express_id": 0, "comment_status": 0, "options": [ { "spec_name": "默认", "spec_item_name": "默认" } ] } ], "order_express": [], "shipping_address": { "id": 296, "realname": "32131321", "mobile": "18249104358", "country_id": 86, "province_id": 11, "city_id": 1101, "county_id": 110101, "town_id": 110101001, "province": "北京市", "city": "市辖区", "county": "东城区", "town": "东华门街道", "detail": "321321", "lng": "", "lat": "" }, "user": { "id": 35, "created_at": 1631947675, "updated_at": 1633932501, "mobile": "", "avatar": "https://supply-chain-zhongtai.oss-cn-beijing.aliyuncs.com/20211011/1633932497play.png", "username": "18249104358", "nickname": "", "status": 1, "uuid": "37fb8a3a-f0d4-43e9-99d6-c947580d2cb1", "level_id": 2, "parent_id": 0, "qr_code": "", "invite_code": "5AQVH795", "wx_username": "", "user_level": { "id": 0, "created_at": null, "updated_at": null, "discount": 0, "name": "" } }, "amount_detail": { "title": "订单总价", "amount": 10079, "qty": 0, "desc": "", "amount_items": [ { "title": "商品总价", "amount": 9504, "qty": 0, "desc": "", "amount_items": null }, { "title": "技术服务费", "amount": 475, "qty": 0, "desc": "服务费比例500", "amount_items": null }, { "title": "总运费", "amount": 100, "qty": 0, "desc": "", "amount_items": null } ] }, "paid_at": 1634116764, "sent_at": null, "received_at": null, "closed_at": null, "button": [ { "title": "确认发货", "url": "order/send" } ] } }, "msg": "操作成功"}